Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Discuss your pilot or production implementation with other Zimbra admins or our engineers.
rkosir
Posts: 5
Joined: Tue Aug 02, 2016 12:45 pm

Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Postby rkosir » Tue Aug 02, 2016 12:58 pm

Hello,

we are trying to upgrade from our FOSS edition of Zimbra 8.0.9 to 8.7 Network Edition.

System: Ubuntu 12.04.5 x64 with kernel 3.13.x
Original installed version of Zimbra: 8.0.9.GA.6191.UBUNTU12.64
New version of Zimbra: zcs-NETWORK-8.7.0_GA_1659.UBUNTU12_64.20160628202652

First step we do is upgrade 8.0.9 to Network Edition and add proxy and memcache packages ( Coming from single server installation)
Everything works fine, we can reboot normally and mailer is working as it should.

Next step is to upgrade to 8.7, here we get problems with incompatible and possible old packages still installed.
Latest error in log:
Errors were encountered while processing:
/var/cache/apt/archives/zimbra-osl_1.0.9-1zimbra8.7b1.12.04_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

If I try to manually install this package, I get this error:
root@mail:/opt/zcs-8.7.0_GA_1659.UBUNTU12_64.20160628202549# dpkg -i /var/cache/apt/archives/zimbra-osl_1.0.9-1zimbra8.7b1.12.04_all.deb
(Reading database ... 144574 files and directories currently installed.)
Unpacking zimbra-osl (from .../zimbra-osl_1.0.9-1zimbra8.7b1.12.04_all.deb) ...
dpkg: error processing /var/cache/apt/archives/zimbra-osl_1.0.9-1zimbra8.7b1.12.04_all.deb (--install):
trying to overwrite '/opt/zimbra/docs/open_source_licenses.txt', which is also in package zimbra-core 8.0.9.GA.6191.UBUNTU12.64
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/zimbra-osl_1.0.9-1zimbra8.7b1.12.04_all.deb

DPKG for zimbra 8.0.9 search returns:
dpkg -l |grep zimbra|grep 8.0.9
pi zimbra-core 8.0.9.GA.6191.UBUNTU12.64 Best email money can buy
pi zimbra-mta 8.0.9.GA.6191.UBUNTU12.64 Best email money can buy
iU zimbra-openjdk 1.8.0u92b14-1zimbra8.7b3.12.04 OpenJDK

Manual removal of these two packages fails.

We have tried several different paths to upgrade, none worked:
- zcs 8.09 FOSS -> 8.0.9 NETWORK -> 8.7 NETWORK on ubuntu 12.04 didn't work
- ubuntu 12.04 8.0.9 FOSS -> ubuntu 14.04 8.0.9 FOSS -> 8.0.9 NETWORK -> 8.7. NETWORK on ubuntu 14.04
- ubuntu 12.04 8.0.9 FOSS -> 8.7. FOSS

Any help would be appreciated.

Regards,
Rok


hsingh
Zimbra Employee
Zimbra Employee
Posts: 2
Joined: Tue Aug 02, 2016 1:40 pm

Re: Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Postby hsingh » Tue Aug 02, 2016 2:42 pm

Hello Rok,

It looks there are some issues with the package manager on OS.
Can you try to clean cached data of apt and re-build using "apt-get clean" and "apt-get update".

After that, run v8.7 installer forcefully. Visit the following wiki link to see how to run installer forcefully when upgrade fails.
https://wiki.zimbra.com/wiki/Recovering ... de_failure

Regards,
Heera
hsingh
Zimbra Employee
Zimbra Employee
Posts: 2
Joined: Tue Aug 02, 2016 1:40 pm

Re: Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Postby hsingh » Tue Aug 02, 2016 2:48 pm

Hello Rok,

It looks there are some issues with the package manager on OS.
Can you try to clean cached data of apt and re-build using "apt-get clean" and "apt-get update".

After that, run v8.7 installer forcefully. Visit the following wiki link to see how to run installer forcefully when upgrade fails.
https://wiki.zimbra.com/wiki/Recovering ... de_failure

Regards,
Heera
rkosir
Posts: 5
Joined: Tue Aug 02, 2016 12:45 pm

Re: Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Postby rkosir » Wed Aug 03, 2016 9:22 am

Sadly this didn't work.
Zimbra isn't functioning and updater want's LDAP to be active.

This command was run:
root@mail:/opt/zcs-8.7.0_GA_1659.UBUNTU12_64.20160628202549# ./install.sh --force-upgrade --skip-activation-check --skip-upgrade-check

Operations logged to /tmp/install.log.rJseaZun
Checking for existing installation...
zimbra-ldap...NOT FOUND
zimbra-logger...NOT FOUND
zimbra-mta...FOUND zimbra-mta-8.0.9.GA.6191.UBUNTU12.64
zimbra-dnscache...NOT FOUND
zimbra-snmp...NOT FOUND
zimbra-store...NOT FOUND
zimbra-apache...NOT FOUND
zimbra-spell...NOT FOUND
zimbra-convertd...NOT FOUND
zimbra-memcached...FOUND zimbra-memcached-1.4.25-1zimbra8.7b1.12.04
zimbra-proxy...NOT FOUND
zimbra-archiving...NOT FOUND
zimbra-core...FOUND zimbra-core-8.0.9.GA.6191.UBUNTU12.64
ZCS upgrade from 8.0.9 to 8.7.0 will be performed.
Checking for existing proxy service in your environment
Error connecting to LDAP server: ldap://ldap.example.com:389 at bin/checkService.pl line 55.
Error: Unable to contact the LDAP server.


If I try to start zimbra, it fails when starting ldap:
Starting ldap...Done.
Failed.
/opt/zimbra/libexec/zmslapd: line 21: /opt/zimbra/openldap/sbin/slapd: No such file or directory
Failed to start slapd. Attempting debug start to determine error.


I will try with clean update path and report back, if I do apt clean before starting the 8.7 installer
rkosir
Posts: 5
Joined: Tue Aug 02, 2016 12:45 pm

Re: Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Postby rkosir » Wed Aug 03, 2016 10:36 am

No dice, same thing even if I do apt-get clean and update, before starting the 8.7 installer.
Uma Shankar
Zimbra Employee
Zimbra Employee
Posts: 36
Joined: Wed Jun 01, 2016 5:01 am

Re: Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Postby Uma Shankar » Wed Aug 03, 2016 11:16 am

rkosir wrote:No dice, same thing even if I do apt-get clean and update, before starting the 8.7 installer.


Hi,

Do you have zcs8.0.9 installer package with you?

If no, I would suggest you to restore the ZCS 8.0.9 with backup and then try upgrading again.

If yes, then please follow the following steps
1) cd zcs-8.0.9_GA_6191.UBUNTU12_64.20141103151539/packages
2) dpkg -i zimbra-ldap_8.0.9.GA.6191.UBUNTU12.64_amd64.deb
3) su - zimbra
4) ldap start

Once you have ldap working, please follow the following steps
1) apt-get clean
2) apt-get update
3) cd /var/cache/apt/archives/
3) apt-get download zimbra-spamassassin-rules_1.0.0-1zimbra8.7b1.14.04_all.deb zimbra-perl-mail-spamassassin_3.4.1-1zimbra8.7b1.14.04_all.deb zimbra-osl_1.0.9-1zimbra8.7b1.14.04_all.deb
4) dpkg -i --force-overwrite packagename.deb (ignore the error)
5) Re-run the zcs8.7 installer ./install.sh --force-upgrade --skip-activation-check --skip-upgrade-check

Please check if you are able to upgrade now ?

Regards,
Uma Shankar
rkosir
Posts: 5
Joined: Tue Aug 02, 2016 12:45 pm

Re: Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Postby rkosir » Thu Aug 04, 2016 11:38 am

This method now worked and test system is upgraded.

Are there any better workarounds to do, to get clean upgrade?
I am reluctant to initiate this on our production servers for the actual upgrade process
User avatar
quanah
Zimbra Alumni
Zimbra Alumni
Posts: 1655
Joined: Fri Sep 12, 2014 10:33 pm
Contact:

Re: Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Postby quanah » Thu Aug 04, 2016 8:34 pm

This indicates that your packages are failing to uninstall:

pi zimbra-core 8.0.9.GA.6191.UBUNTU12.64 Best email money can buy
pi zimbra-mta 8.0.9.GA.6191.UBUNTU12.64 Best email money can buy


You need to determine why the packages are unable to be correctly purged during uninstall before you can do any upgrades.
--
Quanah Gibson-Mount https://github.com/quanah/
Systems Architect, Synacor http://wwwsynacor.com/
A Zetalliance Founder http://www.zetalliance.org/
OpenLDAP Core team http://www.openldap.org/project/
rkosir
Posts: 5
Joined: Tue Aug 02, 2016 12:45 pm

Re: Upgrade on Ubuntu fails from Zimbra 8.0.9 FOSS to 8.7 Network Edition

Postby rkosir » Tue Aug 09, 2016 12:42 pm

So the problem were two packages installed that depended on zimbra-mta package

In my case the problematic packages were mailutils and logwatch. When I installed them, they need package mail-transport-agent which zimbra-mta provided it for them.
As there were no alternative installed on system ( couldn't install package default-mta or postfix as that would remove zimbra-mta in the process), I had to remove these two packages first, then the upgrade went smoothly.

Was tested from FOSS to FOSS version,so I assume NE version will go in the same way.

Return to “Administrators”

Who is online

Users browsing this forum: No registered users and 18 guests